package com.fjhx.email.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.email.config.base.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 企业邮件
 * </p>
 *
 * @author zlj
 * @since 2023-04-06
 */
@Getter
@Setter
@TableName("enterprise_message")
public class EnterpriseMessage extends BaseEntity {

    /**
     * 邮件uid
     */
    private Long uid;

    /**
     * 邮箱id
     */
    private Long mailboxId;

    /**
     * 文件夹id
     */
    private Long folderId;

    /**
     * 文件夹名称
     */
    private String folderName;

    /**
     * 邮件标题
     */
    private String subject;

    /**
     * 发件人email
     */
    private String fromEmail;

    /**
     * 发件人名称
     */
    private String fromPersonalName;

    /**
     * 发件时间
     */
    private Date sendDate;

    /**
     * 接收时间
     */
    private Date receivedDate;

    /**
     * 同步状态 1已同步 0未同步
     */
    private Integer syncStatus;

    /**
     * 删除
     */
    private Integer delFlag;

}
