package com.fjhx.email.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.email.config.base.BaseEntity;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 个人邮箱文件夹
 * </p>
 *
 * @author zlj
 * @since 2023-04-06
 */
@Getter
@Setter
@TableName("personal_folder")
public class PersonalFolder extends BaseEntity {

    /**
     * 邮箱id
     */
    private Long mailboxId;

    /**
     * 文件夹名称
     */
    private String name;

    /**
     * 上次同步邮件uid
     */
    private Long lastUid;

    /**
     * 上次同步邮件接收时间
     */
    private Date lastReceivedDate;

    /**
     * 同步邮件状态: 1同步 0不同步
     */
    private Integer syncStatus;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    private Integer delFlag;

}
