package test.pulling;

import com.fjhx.email.entity.dto.MailboxInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface TestMapper {

    @Select("select count(1) from enterprise_message")
    Integer emailCount();

    List<MailboxInfo> getMailboxInfoList();

    @Select("select count(1) from enterprise_message where uid = #{uid} and folder_id = #{folderId}")
    boolean uidIsExist(Long uid, Long folderId);

}
